Skip to main content
GET
/
{team_id}
/
time
/
tracking
/
audit
Query the time-tracking audit log
curl --request GET \
  --url https://api.superthread.com/v1/{team_id}/time/tracking/audit \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.superthread.com/v1/{team_id}/time/tracking/audit"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.superthread.com/v1/{team_id}/time/tracking/audit', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "cursor": "dmsjqh9d8w1hdjosjaasda",
  "count": 14,
  "audit_entries": [
    {
      "id": "01HQK6ZA0PZ4M9JX8FVB6QXYAC",
      "team_id": "tDsu0j19",
      "time_entry_id": "01HQK6Z9YJZ4M9JX8FVB6QXYAB",
      "user_id": "uR2dws11",
      "action": "updated",
      "before": {},
      "after": {},
      "time_created": 1608742037016
    }
  ]
}
{
  "error": {
    "id": "err5f744ab",
    "code": 403,
    "sec": "SEC:000-00014",
    "message": "You do not have access to this resource",
    "date": 1608742037016
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Query Parameters

entry_id
string

Filter to a specific time entry id.

user_id
string

Filter to actions performed by a specific user.

from
integer<int64>

Lower bound (inclusive) on the audit entry timestamp, unix seconds.

to
integer<int64>

Upper bound (exclusive) on the audit entry timestamp, unix seconds.

cursor
string
limit
integer

Response

Paginated list of audit entries

cursor
string
required
Example:

"dmsjqh9d8w1hdjosjaasda"

count
integer
required
Example:

14

audit_entries
object[]